#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,k,l,min,max,x,n,br;
    scanf("%d %d",&n,&x);
    int a[n];

    for(i=0;i<=n-1;i++)
        scanf("%d",&a[i]);

    min=a[0];
    for(i=1;i<=n-1;i++)
        if(min>a[i])
        min=a[i];

    max=a[0];
    for(i=1;i<=n-1;i++)
        if(max<a[i])
        max=a[i];

    br=0;
    k=x-min;
    l=max-x;
    if(k>l || k==l)
        br=k+l*2;
    else
        br=k*2+l;


    if(min>x)
        br=l;
    if(max<x)
        br=k;

    printf("%d",br);

    return 0;
}